<mat-toolbar color="primary" class="expanded-toolbar">
    <span>
      <button mat-button routerLink="/"><mat-icon>home</mat-icon></button>
    </span>
  <div fxLayout="row" fxShow="false" fxShow.gt-sm>
    <button mat-button routerLink="/paintings" *ngIf="isAuthenticated">
      <mat-icon>dashboard</mat-icon>
      Paintings
    </button>
    <button mat-button routerLink="/manage" *ngIf="isAuthenticated">
      <mat-icon>edit</mat-icon>
      Manage
    </button>
    <button mat-button routerLink="/login" *ngIf="!isAuthenticated">
      <mat-icon>power_settings_new</mat-icon>
      Login
    </button>
    <button mat-button *ngIf="isAuthenticated" (click)="logout()">
      <mat-icon>exit_to_app</mat-icon>
      Logout
    </button>
  </div>
  <button mat-button [mat-menu-trigger-for]="menu" fxHide="false" fxHide.gt-sm>
    <mat-icon>menu</mat-icon>
  </button>
  </mat-toolbar>
  <mat-menu x-position="before" #menu="matMenu">
  <button mat-menu-item routerLink="/paintings" *ngIf="isAuthenticated">
    <mat-icon>dashboard</mat-icon>
    Paintings
  </button>
  <button mat-menu-item routerLink="/manage" *ngIf="isAuthenticated">
    <mat-icon>edit</mat-icon>
    Manage
  </button>
  <button mat-menu-item routerLink="/login" *ngIf="!isAuthenticated">
    <mat-icon>power_settings_new</mat-icon>
    Login
  </button>
  <button mat-menu-item *ngIf="isAuthenticated" (click)="logout()">
    <mat-icon>exit_to_app</mat-icon>
    Logout
  </button>
  </mat-menu>